Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451957 - attrib4j package to be removed from satellite iso
Summary: attrib4j package to be removed from satellite iso
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 520
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 11:40 UTC by Milan Zázrivec
Modified: 2008-11-05 18:40 UTC (History)
0 users

Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 18:40:36 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2008-06-18 11:40:23 UTC
Description of problem:
There's no package requiring attrib4j package and therefore can be safely
removed from satellite iso.

Version-Release number of selected component (if applicable):
Satellite 5.2.0 / attrib4j-0.9.0-4jpp_1rh

How reproducible:
Always

Steps to Reproduce:
0. Install satellite 5.2.0
1. # rpm -q attrib4j
2. # rpm -q --provides attrib4j
3. # rpm -q --whatrequires attrib4j

Actual results:
# rpm -q attrib4j
attrib4j-0.9.0-4jpp_1rh
# rpm -q --provides attrib4j
attrib4j = 0:0.9.0-4jpp_1rh
# rpm -q --whatrequires attrib4j
no package requires attrib4j

Expected results:
# rpm -q attrib4j
package attrib4j is not installed

Comment 1 Milan Zázrivec 2008-06-18 11:42:14 UTC
attrib4j package removed from comps-rhel4-rhnsat52.xml

Comment 2 Brad Buckingham 2008-08-13 16:54:43 UTC
Mass move to ON_QA.

Comment 3 Preethi Thomas 2008-08-14 14:41:09 UTC
verified

Comment 4 Preethi Thomas 2008-10-21 19:18:13 UTC
release pending.

still exists in upgraded satellites though

weshay_ so for all these rpms that we've taken out of the sat iso for 5.20

weshay_ its expected if you upgrade from 5.1 or earlier you still may have some of these rpms installed right.. the ./install.pl --upgrade does not rpm -e old rpms?

cliff weshay_, your assumption is correct to my knowledge as well - I am not aware of code changes added by the Brno folks to remove old packages off the OS

Comment 5 Brandon Perkins 2008-11-05 18:40:36 UTC
5.2.0 Satellite is now GA, bugs Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.